org.apache.commons.math3.analysis.interpolation

## Class TricubicSplineInterpolator

- java.lang.Object
- - org.apache.commons.math3.analysis.interpolation.TricubicSplineInterpolator

- All Implemented Interfaces:
    TrivariateGridInterpolator

      public class TricubicSplineInterpolator
      extends Object
      implements TrivariateGridInterpolator

  Generates a tricubic interpolating function.
  Since:
    2.2
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TricubicSplineInterpolator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TricubicSplineInterpolatingFunction` | `interpolate(double[] xval, double[] yval, double[] zval, double[][][] fval)` Compute an interpolating function for the dataset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TricubicSplineInterpolator

          public TricubicSplineInterpolator()

  - ### Method Detail

    - #### interpolate

          public TricubicSplineInterpolatingFunction interpolate(double[] xval,
                                                        double[] yval,
                                                        double[] zval,
                                                        double[][][] fval)

      Compute an interpolating function for the dataset.
      Specified by:
        `interpolate` in interface `TrivariateGridInterpolator`
      Parameters:
        `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
        `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
        `zval` - All the z-coordinates of the interpolation points, sorted in increasing order.
        `fval` - the values of the interpolation points on all the grid knots: `fval[i][j][k] = f(xval[i], yval[j], zval[k])`.
      Returns:
        a function that interpolates the data set.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.